package cn.iocoder.yudao.module.identity.convert.diversionrecord;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.identity.controller.admin.diversionrecord.vo.*;
import cn.iocoder.yudao.module.identity.dal.dataobject.diversionrecord.DiversionRecordDO;

/**
 * 疑似窜货记录 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface DiversionRecordConvert {

    DiversionRecordConvert INSTANCE = Mappers.getMapper(DiversionRecordConvert.class);

    DiversionRecordDO convert(DiversionRecordCreateReqVO bean);

    DiversionRecordDO convert(DiversionRecordUpdateReqVO bean);

    DiversionRecordRespVO convert(DiversionRecordDO bean);

    List<DiversionRecordRespVO> convertList(List<DiversionRecordDO> list);

    PageResult<DiversionRecordRespVO> convertPage(PageResult<DiversionRecordDO> page);

    List<DiversionRecordExcelVO> convertList02(List<DiversionRecordDO> list);

}
